%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate tracing-futures

Name:           rust-tracing-futures
Version:        0.2.5
Release:    1%{?dist}
Summary:        Utilities for instrumenting futures with tracing

License:        MIT
URL:            https://crates.io/crates/tracing-futures
Source0:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Utilities for instrumenting `futures` with `tracing`.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+futures-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+futures-devel %{_description}

This package contains library source intended for building other packages which
use the "futures" feature of the "%{crate}" crate.

%files       -n %{name}+futures-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+futures-01-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+futures-01-devel %{_description}

This package contains library source intended for building other packages which
use the "futures-01" feature of the "%{crate}" crate.

%files       -n %{name}+futures-01-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+futures-03-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+futures-03-devel %{_description}

This package contains library source intended for building other packages which
use the "futures-03" feature of the "%{crate}" crate.

%files       -n %{name}+futures-03-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+futures-task-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+futures-task-devel %{_description}

This package contains library source intended for building other packages which
use the "futures-task" feature of the "%{crate}" crate.

%files       -n %{name}+futures-task-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+futures_01-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+futures_01-devel %{_description}

This package contains library source intended for building other packages which
use the "futures_01" feature of the "%{crate}" crate.

%files       -n %{name}+futures_01-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pin-project-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pin-project-devel %{_description}

This package contains library source intended for building other packages which
use the "pin-project" feature of the "%{crate}" crate.

%files       -n %{name}+pin-project-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-future-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-future-devel %{_description}

This package contains library source intended for building other packages which
use the "std-future" feature of the "%{crate}" crate.

%files       -n %{name}+std-future-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-executor-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-executor-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio-executor" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-executor-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.5-1
- initial build
